package com.rf.psychological.scale.resultBusiness.scaleResult;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.rf.psychological.utils.Constant;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @author zsy
 * @description:核心自我评价量表
 * @date 2021/7/20 15:55
 */
public class CSESScale extends BaseScale{

    public CSESScale(JSONArray jsonArray, JSONObject resultJson) {
        super(jsonArray, resultJson);
    }

    public  JSONObject scaleCalculate() throws Exception {
        //得分
        int score = 0;
        for (int i = 0; i < jsonArray.size(); i++) {
            JSONObject jsonObject1 = jsonArray.getJSONObject(i);
            if (jsonObject1.getString("scoreDirection").equals("1")) {
                if (jsonObject1.getString("checkItems").equals("完全不同意")) {
                    score += 1;
                } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                    score += 2;
                } else if (jsonObject1.getString("checkItems").equals("不能确定")) {
                    score += 3;
                } else if (jsonObject1.getString("checkItems").equals("同意")) {
                    score += 4;
                }
            } else {
                if (jsonObject1.getString("checkItems").equals("完全不同意")) {
                    score += 5;
                } else if (jsonObject1.getString("checkItems").equals("不同意")) {
                    score += 4;
                } else if (jsonObject1.getString("checkItems").equals("不能确定")) {
                    score += 3;
                } else if (jsonObject1.getString("checkItems").equals("同意")) {
                    score += 2;
                }
            }
        }
        //得分列表
        Map<String, String> resultMap = new LinkedHashMap<>();
        resultMap.put("总分", String.valueOf(score));
        resultJson.put("总分", String.valueOf(score));
        if (score >= 17){
            resultMap.put("结论", "处于抑郁危险");
            resultJson.put("结论", "处于抑郁危险");
        }else if (score <17){
            resultMap.put("结论", "无抑郁");
            resultJson.put("结论", "无抑郁");
        }

        List<Map<String,String>> resultMapList = new ArrayList<>();
        resultMapList.add(resultMap);

        JSONObject returnJson = new JSONObject(true);
        returnJson.put("resultMapList",resultMapList);
        returnJson.put("scaleName",Constant.SHEET_NAME_CSES);
        returnJson.put("resultJson",resultJson);

        return returnJson;
    }
}
